Bug 755759 - Allow readonly access to retired project/project iteration
Summary: Allow readonly access to retired project/project iteration
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Maintainability (Show other bugs)
(Show other bugs)
Version: 1.5
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Alex Eng
QA Contact: David Mason
URL:
Whiteboard:
Keywords: UserStory
Depends On:
Blocks: zanata-1.5.0
TreeView+ depends on / blocked
 
Reported: 2011-11-21 23:51 UTC by Alex Eng
Modified: 2012-03-07 00:07 UTC (History)
4 users (show)

Fixed In Version: 1.5.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-07 00:07:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alex Eng 2011-11-21 23:51:46 UTC
Description of problem:
As an admin, I want to be able to allow readonly access to obsolete project/project iteration to public

Suggested status for project/project iteration:
Current - Allow translation, view, and update 
Retired - View only access - Read only access on Translation/REST access(only  download), allow TM search.
Obsolete - Restriction on TM search/Translation and REST access

Comment 3 Sean Flanigan 2012-02-07 07:59:05 UTC
Please retest with https://github.com/zanata/zanata/commit/3096605f4d2c42db112d157b6ceb917fec562f67 (master branch)

Comment 4 Carlos Munoz 2012-02-21 00:04:10 UTC
Changing QA contact as I did some work on this bug.

Comment 5 David Mason 2012-02-24 02:35:10 UTC
Obsolete projects show an 'Open' link on the project page (appears to be just for administrators), but following this link shows only "Invalid Workspace. Try opening the workspace from the link on the project page."

The link should not be present if it can only lead to an error.

Comment 6 David Mason 2012-02-24 06:39:00 UTC
Verified REST interface and web editor behaviour are as expected.

TM results have yet to be verified, this will be done when TM is functioning properly.

Comment 7 Alex Eng 2012-02-27 23:12:12 UTC
Remove 'Open' column for obsolete project/iteration. 
See: 
https://github.com/zanata/zanata/commit/8ddb957117a34e39233008b99213b5d1af468be4

Comment 8 David Mason 2012-02-28 02:50:56 UTC
Verified in Zanata version 1.5.0-alpha-3-SNAPSHOT (20120228-1154)


Note You need to log in before you can comment on or make changes to this bug.